Up to date remote data access for pandas, works for multiple versions of pandas. Code Health


As of v0.6.0 Yahoo!, Google Options, Google Quotes and EDGAR have been immediately deprecated due to large changes in their API and no stable replacement.


As of v0.6.0 Google finance is still functioning for historical price data, although there are frequent reports of failures. Failure is frequently encountered when bulk downloading historical price data.


Starting in 0.19.0, pandas no longer supports or, so you must replace your imports from with those from pandas_datareader:

from import data, wb # becomes
from pandas_datareader import data, wb

Many functions from the data module have been included in the top level API.

import pandas_datareader as pdr


Stable documentation is available on A second copy of the stable documentation is hosted on read the docs for more details.

Development documentation is available for the latest changes in master.



Using pandas datareader requires the following packages:

  • pandas>=0.19.2
  • lxml
  • requests>=2.3.0
  • requests-file
  • requests-ftp
  • wrapt

Building the documentation additionally requires:

  • matplotlib
  • ipython
  • sphinx
  • sphinx_rtd_theme

Testing requires pytest.

Install latest release version via pip

$ pip install pandas-datareader

Install latest development version

$ pip install git+


$ git clone
$ python install

Indices and tables